<template>
  <div class="input-value__wrapper">
    <p class="input-value__label">
      {{label}}
      <span class="input-value__symbol" v-if="symbol">
        {{symbol}}
      </span>
    </p>

    <input
      class="input-value"
      type="number"
      :value="value"
      @input="updateValue($event.target.value)"
    />
  </div>
</template>

<script>
export default {
  name: 'InputValue',
  props: {
    value: { type: Number | String, required: true },
    label: { type: String, required: true },
    symbol: { type: String, default: '' },
  },
  methods: {
    updateValue(value) {
      this.$emit('input', value);
    }
  }
}
</script>

<style lang="scss" scoped>
  .input-value {
    display: block;
    height: 26px;
    border: 1px solid black;
    border-radius: 2px;
    text-align: right;
    font-size: 1.5rem;
    font-family: 'hand-draw';
    width: 100px;
    padding: 4px;
    -moz-appearance: textfield;

    &::-webkit-outer-spin-button,
    &::-webkit-inner-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }

    &:focus {
      outline: none;
    }

    &__symbol {
      font-size: 1.5rem;
    }

    &__wrapper {
      display: flex;
      justify-content: space-evenly;
      align-items: flex-end;
      gap: 8px;
      max-width: 176px;
    }
  }
</style>
